function [x,y] =selectcol(A,i)
% This function takes a matrix A=[1...n...N, 1...m...M]' with columns 1=[1
% 1]',...i=[n m]',...,T=[m M]' and select column i

[m,n] = size(A);

x = A(:,i);

if i == 1
    yi = 2:n;
elseif i == n
    yi = 1:n-1;
else 
    yi = horzcat(1:i-1,i+1:n);
end

y = A(:,yi);

end