function [w1, w2, dnULLdbeta1, dnULLdbeta2, dnULLdbeta3, dnULLdbeta4, k, q] = Score_aux(res_1, z, s, sigma2_aux1)
%This file compute the Score function of a GSTR model

%Step 0: change the notation: w will be a (pxT)x1 vector
u1=res_1;
w1=z(:,2); w2= z(:,3); w=[w1;w2];
%Step 1: Define the elements of Score matrix 
dnULLdbeta1 = repmat(u1,2,1).*(-w);
dnULLdbeta2 = [repmat(u1,2,1).*(-w).*repmat(s,2,1)];
dnULLdbeta3= [repmat(u1,2,1).*(-w).*(repmat(s,2,1).^2)];
dnULLdbeta4= [repmat(u1,2,1).*(-w).*(repmat(s,2,1).^3)];

%Step 2: Build up the matrix
k= [dnULLdbeta1, dnULLdbeta2, dnULLdbeta3,  dnULLdbeta4];

%Step 3: define the Score q as the normalized sum of each sub-vector of k.
q = (-sigma2_aux1^(-1)).*sum(k);


end
