function [S1, pval_S1] = nSymmetry_test(gamma1, gamma2, w, theta0,theta1,theta2, Ggamma1, Ggamma2, u, sigma21)
%This function compute the LM Statistic S1 and its p-value.
%
theta = [theta0 theta1 theta2]';
Gamma = [gamma1, gamma2];
n = length(Gamma) ; 
bar_w = [ones(1,size(w,2)); w];p=size(bar_w,1);
thetawGgamma1 = bar_w'*theta.*Ggamma1;
thetawGgamma2 = bar_w'*theta.*Ggamma2;
Z = [theta'*bar_w]';
H = [thetawGgamma1, thetawGgamma2];
S1 = (u'*Z)*(pinv(Z'*Z - Z'*H*pinv(H'*H)*H'*Z))*(Z'*u);
%Compute the p-value according to the so found statistic:
pval_S1 = 1-cdf('chi2', S1 , n);           
end